<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Coap::Server Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('de/d76/classThread_1_1Coap_1_1Server.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../d6/d9b/classThread_1_1Coap_1_1Server-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Coap::Server Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../d5/de9/group__core-coap.html">CoAP</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements the CoAP server.  
 <a href="../../de/d76/classThread_1_1Coap_1_1Server.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../dd/d28/coap__server_8hpp_source.html">src/core/coap/coap_server.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af79d7e1964f4badd0606c6116a3115e8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d76/classThread_1_1Coap_1_1Server.html#af79d7e1964f4badd0606c6116a3115e8">Server</a> (<a class="el" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html">Ip6::Udp</a> &amp;aUdp, uint16_t aPort)</td></tr>
<tr class="memdesc:af79d7e1964f4badd0606c6116a3115e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This constructor initializes the object.  <a href="#af79d7e1964f4badd0606c6116a3115e8">More...</a><br /></td></tr>
<tr class="separator:af79d7e1964f4badd0606c6116a3115e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3352908cff3adc599389f65cc16d219e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d76/classThread_1_1Coap_1_1Server.html#a3352908cff3adc599389f65cc16d219e">Start</a> ()</td></tr>
<tr class="memdesc:a3352908cff3adc599389f65cc16d219e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method starts the CoAP server.  <a href="#a3352908cff3adc599389f65cc16d219e">More...</a><br /></td></tr>
<tr class="separator:a3352908cff3adc599389f65cc16d219e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3cd8474a329165783b06b5d6f235266"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d76/classThread_1_1Coap_1_1Server.html#ae3cd8474a329165783b06b5d6f235266">Stop</a> ()</td></tr>
<tr class="memdesc:ae3cd8474a329165783b06b5d6f235266"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method stops the CoAP server.  <a href="#ae3cd8474a329165783b06b5d6f235266">More...</a><br /></td></tr>
<tr class="separator:ae3cd8474a329165783b06b5d6f235266"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c2d2fb6a4a5ce7ef157e5d9cc308af6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d76/classThread_1_1Coap_1_1Server.html#a6c2d2fb6a4a5ce7ef157e5d9cc308af6">AddResource</a> (<a class="el" href="../../d0/d63/classThread_1_1Coap_1_1Resource.html">Resource</a> &amp;aResource)</td></tr>
<tr class="memdesc:a6c2d2fb6a4a5ce7ef157e5d9cc308af6"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method adds a resource to the CoAP server.  <a href="#a6c2d2fb6a4a5ce7ef157e5d9cc308af6">More...</a><br /></td></tr>
<tr class="separator:a6c2d2fb6a4a5ce7ef157e5d9cc308af6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3b5bca6d4d748d1c8476bcafbf4038e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d76/classThread_1_1Coap_1_1Server.html#ab3b5bca6d4d748d1c8476bcafbf4038e">RemoveResource</a> (<a class="el" href="../../d0/d63/classThread_1_1Coap_1_1Resource.html">Resource</a> &amp;aResource)</td></tr>
<tr class="memdesc:ab3b5bca6d4d748d1c8476bcafbf4038e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method removes a resource from the CoAP server.  <a href="#ab3b5bca6d4d748d1c8476bcafbf4038e">More...</a><br /></td></tr>
<tr class="separator:ab3b5bca6d4d748d1c8476bcafbf4038e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f1fb2b1a1e98b79a9d086aca2dbb764"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d76/classThread_1_1Coap_1_1Server.html#a2f1fb2b1a1e98b79a9d086aca2dbb764">NewMessage</a> (uint16_t aReserved)</td></tr>
<tr class="memdesc:a2f1fb2b1a1e98b79a9d086aca2dbb764"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns a new UDP message with sufficient header space reserved.  <a href="#a2f1fb2b1a1e98b79a9d086aca2dbb764">More...</a><br /></td></tr>
<tr class="separator:a2f1fb2b1a1e98b79a9d086aca2dbb764"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb97e0257808d7cad4adceccd87f6b7d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d76/classThread_1_1Coap_1_1Server.html#aeb97e0257808d7cad4adceccd87f6b7d">SendMessage</a> (<a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, const <a class="el" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo)</td></tr>
<tr class="memdesc:aeb97e0257808d7cad4adceccd87f6b7d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sends a CoAP response from the server.  <a href="#aeb97e0257808d7cad4adceccd87f6b7d">More...</a><br /></td></tr>
<tr class="separator:aeb97e0257808d7cad4adceccd87f6b7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements the CoAP server. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="af79d7e1964f4badd0606c6116a3115e8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Thread::Coap::Server::Server </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html">Ip6::Udp</a> &amp;&#160;</td>
          <td class="paramname"><em>aUdp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aPort</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This constructor initializes the object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aUdp</td><td>A reference to the UDP object. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aPort</td><td>The port to listen on. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a6c2d2fb6a4a5ce7ef157e5d9cc308af6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::Coap::Server::AddResource </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d63/classThread_1_1Coap_1_1Resource.html">Resource</a> &amp;&#160;</td>
          <td class="paramname"><em>aResource</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method adds a resource to the CoAP server. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aResource</td><td>A reference to the resource.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully added <code>aResource</code>. </td></tr>
    <tr><td class="paramname">kThreadError_Already</td><td>The <code>aResource</code> was already added. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d76/classThread_1_1Coap_1_1Server_a6c2d2fb6a4a5ce7ef157e5d9cc308af6_icgraph.png" border="0" usemap="#de/d76/classThread_1_1Coap_1_1Server_a6c2d2fb6a4a5ce7ef157e5d9cc308af6_icgraph" alt=""/></div>
<map name="de/d76/classThread_1_1Coap_1_1Server_a6c2d2fb6a4a5ce7ef157e5d9cc308af6_icgraph" id="de/d76/classThread_1_1Coap_1_1Server_a6c2d2fb6a4a5ce7ef157e5d9cc308af6_icgraph">
<area shape="rect" id="node2" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a8406c25cf23c739f803812e58619b444" title="This constructor initializes the Commissioner object. " alt="" coords="221,5,443,44"/>
<area shape="rect" id="node3" href="../../d6/df9/classThread_1_1EnergyScanClient.html#a6917789d4d27136cb62cb64cd3e24bff" title="This constructor initializes the object. " alt="" coords="243,68,421,107"/>
<area shape="rect" id="node4" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a0a07568a14a0a9d2dca3cfed6d662817" title="This constructor initializes the Joiner object. " alt="" coords="245,131,419,169"/>
<area shape="rect" id="node5" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a5479381c182fcb3e0135c2c75fc2c96e" title="This constructor initializes the Joiner Router object. " alt="" coords="225,193,439,232"/>
<area shape="rect" id="node6" href="../../d6/db2/classThread_1_1MeshCoP_1_1Leader.html#a96a0df60953172cb430044db9ae7f0d7" title="This constructor initializes the Leader object. " alt="" coords="243,256,421,295"/>
<area shape="rect" id="node7" href="../../dc/da5/classThread_1_1PanIdQueryClient.html#ad4813a9c511a71d766a35f0bb628f012" title="This constructor initializes the object. " alt="" coords="244,319,420,357"/>
<area shape="rect" id="node8" href="../../d4/dcf/classThread_1_1AddressResolver.html#a178438299a058ea03995b643ddd6aa72" title="This constructor initializes the object. " alt="" coords="246,381,418,420"/>
<area shape="rect" id="node9" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a662879b71f9c4ec5cf41589bb9acdb58" title="This constructor initializes the object. " alt="" coords="230,444,434,483"/>
<area shape="rect" id="node10" href="../../de/d9d/classThread_1_1EnergyScanServer.html#aee01420f701ef44d6432280d8e4bf3e3" title="This constructor initializes the object. " alt="" coords="241,507,424,545"/>
<area shape="rect" id="node11" href="../../db/dec/group__core-mle-router.html#ga3f865671b35cf4f88b555fb1873ca79a" title="This method causes the Thread interface to become a Leader and start a new partition. " alt="" coords="509,593,671,632"/>
<area shape="rect" id="node44" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a7678c15cb9ad8817f478340a20f7069b" title="This method starts the Leader services. " alt="" coords="258,621,406,660"/>
<area shape="rect" id="node45" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#a6cf352b99106964ed2cfe677a071e782" title="This constructor initializes the object. " alt="" coords="203,684,461,723"/>
<area shape="rect" id="node46" href="../../d7/dc5/classThread_1_1PanIdQueryServer.html#a9a7504e52a1a9f4023dcf2ceedd3cbf6" title="This constructor initializes the object. " alt="" coords="241,747,423,785"/>
<area shape="rect" id="node12" href="../../db/d57/group__config-test.html#ga026f58bcf552f7d8cd5da53e38bff94d" title="Become a leader and start a new partition. " alt="" coords="2054,703,2177,728"/>
<area shape="rect" id="node16" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="719,461,893,500"/>
<area shape="rect" id="node13" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2995,532,3151,571"/>
<area shape="rect" id="node14" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2292,589,2483,628"/>
<area shape="rect" id="node15" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2531,589,2726,628"/>
<area shape="rect" id="node17" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="941,489,1130,528"/>
<area shape="rect" id="node35" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1468,211,1631,249"/>
<area shape="rect" id="node18" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="1178,440,1392,465"/>
<area shape="rect" id="node31" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1441,489,1658,528"/>
<area shape="rect" id="node19" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2538,359,2719,384"/>
<area shape="rect" id="node22" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1454,604,1645,643"/>
<area shape="rect" id="node29" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1440,440,1660,465"/>
<area shape="rect" id="node33" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1469,325,1630,364"/>
<area shape="rect" id="node20" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2774,324,2947,363"/>
<area shape="rect" id="node21" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2819,387,2903,412"/>
<area shape="rect" id="node23" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1745,553,1902,579"/>
<area shape="rect" id="node25" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1726,652,1922,677"/>
<area shape="rect" id="node27" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1712,603,1935,628"/>
<area shape="rect" id="node24" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2064,553,2167,579"/>
<area shape="rect" id="node26" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2051,652,2181,677"/>
<area shape="rect" id="node28" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2061,603,2171,628"/>
<area shape="rect" id="node30" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1722,437,1926,476"/>
<area shape="rect" id="node32" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2006,501,2226,527"/>
<area shape="rect" id="node34" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2303,281,2472,320"/>
<area shape="rect" id="node36" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1743,145,1904,184"/>
<area shape="rect" id="node40" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1743,208,1904,247"/>
<area shape="rect" id="node42" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1708,271,1940,309"/>
<area shape="rect" id="node37" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="2034,145,2198,184"/>
<area shape="rect" id="node38" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2305,177,2470,216"/>
<area shape="rect" id="node39" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2317,115,2458,153"/>
<area shape="rect" id="node41" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="1988,260,2244,299"/>
<area shape="rect" id="node43" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2050,437,2181,463"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a2f1fb2b1a1e98b79a9d086aca2dbb764"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> * Thread::Coap::Server::NewMessage </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aReserved</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method returns a new UDP message with sufficient header space reserved. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aReserved</td><td>The number of header bytes to reserve after the UDP header.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the message or NULL if no buffers are available. </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d76/classThread_1_1Coap_1_1Server_a2f1fb2b1a1e98b79a9d086aca2dbb764_cgraph.png" border="0" usemap="#de/d76/classThread_1_1Coap_1_1Server_a2f1fb2b1a1e98b79a9d086aca2dbb764_cgraph" alt=""/></div>
<map name="de/d76/classThread_1_1Coap_1_1Server_a2f1fb2b1a1e98b79a9d086aca2dbb764_cgraph" id="de/d76/classThread_1_1Coap_1_1Server_a2f1fb2b1a1e98b79a9d086aca2dbb764_cgraph">
<area shape="rect" id="node2" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#aafb4481c92d1f8515e51cfa822a1bde1" title="This method returns a new UDP message with sufficient header space reserved. " alt="" coords="203,5,365,44"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d76/classThread_1_1Coap_1_1Server_a2f1fb2b1a1e98b79a9d086aca2dbb764_icgraph.png" border="0" usemap="#de/d76/classThread_1_1Coap_1_1Server_a2f1fb2b1a1e98b79a9d086aca2dbb764_icgraph" alt=""/></div>
<map name="de/d76/classThread_1_1Coap_1_1Server_a2f1fb2b1a1e98b79a9d086aca2dbb764_icgraph" id="de/d76/classThread_1_1Coap_1_1Server_a2f1fb2b1a1e98b79a9d086aca2dbb764_icgraph">
<area shape="rect" id="node2" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a8639c79f9379e80285fa9f362dbacdd1" title="This method sends MGMT_COMMISSIONER_SET. " alt="" coords="203,5,451,44"/>
<area shape="rect" id="node4" href="../../d6/df9/classThread_1_1EnergyScanClient.html#a6d639305cb6c6762d41a2825ff8da85e" title="This method sends an Energy Scan Query message. " alt="" coords="238,68,416,107"/>
<area shape="rect" id="node5" href="../../d6/db2/classThread_1_1MeshCoP_1_1Leader.html#a96a0df60953172cb430044db9ae7f0d7" title="This constructor initializes the Leader object. " alt="" coords="238,131,416,169"/>
<area shape="rect" id="node6" href="../../dc/da5/classThread_1_1PanIdQueryClient.html#a440066c1be45fe125c8298276c232939" title="This method sends a PAN ID Query message. " alt="" coords="239,193,415,232"/>
<area shape="rect" id="node7" href="../../d4/dcf/classThread_1_1AddressResolver.html#ac249179518a77ecfdaf7d4502ef2f940" title="This method returns the RLOC16 for a given EID, or initiates an Address Query if the mapping is not k..." alt="" coords="1577,436,1749,475"/>
<area shape="rect" id="node16" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1299,473,1504,512"/>
<area shape="rect" id="node17" href="../../de/d9d/classThread_1_1EnergyScanServer.html#aee01420f701ef44d6432280d8e4bf3e3" title="This constructor initializes the object. " alt="" coords="519,359,701,397"/>
<area shape="rect" id="node18" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1858,533,2019,572"/>
<area shape="rect" id="node19" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#ab1860ae9877c2b0f6a83d677d41e31d6" title="This method returns a pointer to the Commissioning Data. " alt="" coords="218,416,436,455"/>
<area shape="rect" id="node44" href="../../d7/dc5/classThread_1_1PanIdQueryServer.html#a9a7504e52a1a9f4023dcf2ceedd3cbf6" title="This constructor initializes the object. " alt="" coords="236,588,418,627"/>
<area shape="rect" id="node3" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a142100561cda243c291e4bc7a4d6511a" title="This method stops the Commissioner service. " alt="" coords="499,5,721,44"/>
<area shape="rect" id="node8" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="2149,487,2313,525"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2420,443,2585,481"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2418,577,2587,616"/>
<area shape="rect" id="node15" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2432,505,2573,544"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2653,625,2834,651"/>
<area shape="rect" id="node12" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2889,592,3062,631"/>
<area shape="rect" id="node13" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2933,655,3018,680"/>
<area shape="rect" id="node14" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="3110,749,3266,788"/>
<area shape="rect" id="node20" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a5479381c182fcb3e0135c2c75fc2c96e" title="This constructor initializes the Joiner Router object. " alt="" coords="769,359,983,397"/>
<area shape="rect" id="node21" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a484af9ea3f5c73ec07d3e47c21a647c5" title="This method returns the Joiner UDP Port. " alt="" coords="503,473,717,512"/>
<area shape="rect" id="node23" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="769,752,983,777"/>
<area shape="rect" id="node22" href="../../da/d96/group__config-router.html#ga13a7243b3d4c16cfc50bfbf29c42dd10" title="Get the Joiner UDP Port. " alt="" coords="2674,415,2813,440"/>
<area shape="rect" id="node24" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="1314,853,1489,892"/>
<area shape="rect" id="node25" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1569,1003,1757,1041"/>
<area shape="rect" id="node26" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1831,1003,2047,1041"/>
<area shape="rect" id="node30" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1582,805,1744,844"/>
<area shape="rect" id="node35" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1046,853,1236,892"/>
<area shape="rect" id="node42" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1031,588,1251,613"/>
<area shape="rect" id="node43" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1060,637,1222,676"/>
<area shape="rect" id="node27" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2121,972,2341,997"/>
<area shape="rect" id="node28" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2406,857,2598,896"/>
<area shape="rect" id="node29" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2646,857,2841,896"/>
<area shape="rect" id="node31" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1858,804,2019,843"/>
<area shape="rect" id="node33" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1822,867,2055,905"/>
<area shape="rect" id="node32" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="2103,804,2358,843"/>
<area shape="rect" id="node34" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2165,867,2296,892"/>
<area shape="rect" id="node36" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1323,703,1480,728"/>
<area shape="rect" id="node38" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1303,752,1500,777"/>
<area shape="rect" id="node40" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1552,925,1774,951"/>
<area shape="rect" id="node37" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2179,705,2282,731"/>
<area shape="rect" id="node39" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2165,755,2296,780"/>
<area shape="rect" id="node41" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2176,921,2286,947"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ab3b5bca6d4d748d1c8476bcafbf4038e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Coap::Server::RemoveResource </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d63/classThread_1_1Coap_1_1Resource.html">Resource</a> &amp;&#160;</td>
          <td class="paramname"><em>aResource</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method removes a resource from the CoAP server. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aResource</td><td>A reference to the resource. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d76/classThread_1_1Coap_1_1Server_ab3b5bca6d4d748d1c8476bcafbf4038e_cgraph.png" border="0" usemap="#de/d76/classThread_1_1Coap_1_1Server_ab3b5bca6d4d748d1c8476bcafbf4038e_cgraph" alt=""/></div>
<map name="de/d76/classThread_1_1Coap_1_1Server_ab3b5bca6d4d748d1c8476bcafbf4038e_cgraph" id="de/d76/classThread_1_1Coap_1_1Server_ab3b5bca6d4d748d1c8476bcafbf4038e_cgraph">
<area shape="rect" id="node2" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a134a9321fd50bc3cc6c2e7a8d313ed23" title="This method parses the CoAP header from a message. " alt="" coords="226,97,380,136"/>
<area shape="rect" id="node9" href="../../dc/d3c/classThread_1_1Message.html#a7b45edaa8ba9f31a437aea73cfca387c" title="This method moves the byte offset within the message. " alt="" coords="203,160,403,185"/>
<area shape="rect" id="node10" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ae1679d627108d5381dc1ae45d2254299" title="This method returns the header length in bytes. " alt="" coords="226,209,380,248"/>
<area shape="rect" id="node11" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a00b1ad2ad913333197fd0e24b0375925" title="This method returns a pointer to the current option. " alt="" coords="226,272,380,311"/>
<area shape="rect" id="node12" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#aeff9665493c1060e7e186203d0f03f11" title="This method returns a pointer to the next option. " alt="" coords="226,335,380,373"/>
<area shape="rect" id="node3" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="454,5,643,31"/>
<area shape="rect" id="node4" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="451,55,646,80"/>
<area shape="rect" id="node5" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="467,104,631,129"/>
<area shape="rect" id="node7" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad72a44d4abf73228b4857b9ad90e7465" title="This method returns the Version value. " alt="" coords="472,153,626,192"/>
<area shape="rect" id="node8" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a552cf5eab882b244b178b8093e8a18e9" title="This method returns the Token length. " alt="" coords="472,216,626,255"/>
<area shape="rect" id="node6" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf" title="This method returns a pointer to the next message buffer. " alt="" coords="694,104,892,129"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d76/classThread_1_1Coap_1_1Server_ab3b5bca6d4d748d1c8476bcafbf4038e_icgraph.png" border="0" usemap="#de/d76/classThread_1_1Coap_1_1Server_ab3b5bca6d4d748d1c8476bcafbf4038e_icgraph" alt=""/></div>
<map name="de/d76/classThread_1_1Coap_1_1Server_ab3b5bca6d4d748d1c8476bcafbf4038e_icgraph" id="de/d76/classThread_1_1Coap_1_1Server_ab3b5bca6d4d748d1c8476bcafbf4038e_icgraph">
<area shape="rect" id="node2" href="../../db/dec/group__core-mle-router.html#ga3f865671b35cf4f88b555fb1873ca79a" title="This method causes the Thread interface to become a Leader and start a new partition. " alt="" coords="399,484,560,523"/>
<area shape="rect" id="node35" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#aed480933589287c7910778d4994917df" title="This method stops the Leader services. " alt="" coords="203,512,351,551"/>
<area shape="rect" id="node3" href="../../db/d57/group__config-test.html#ga026f58bcf552f7d8cd5da53e38bff94d" title="Become a leader and start a new partition. " alt="" coords="1944,593,2067,619"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="608,352,783,391"/>
<area shape="rect" id="node4" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2885,423,3040,461"/>
<area shape="rect" id="node5" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2181,480,2373,519"/>
<area shape="rect" id="node6" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2421,480,2616,519"/>
<area shape="rect" id="node8" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="831,380,1019,419"/>
<area shape="rect" id="node26" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1358,101,1520,140"/>
<area shape="rect" id="node9" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="1067,331,1281,356"/>
<area shape="rect" id="node22" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1331,380,1547,419"/>
<area shape="rect" id="node10" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2428,249,2609,275"/>
<area shape="rect" id="node13" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1344,495,1534,533"/>
<area shape="rect" id="node20" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1329,331,1549,356"/>
<area shape="rect" id="node24" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1358,216,1520,255"/>
<area shape="rect" id="node11" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2664,215,2837,253"/>
<area shape="rect" id="node12" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2708,277,2793,303"/>
<area shape="rect" id="node14" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1635,444,1792,469"/>
<area shape="rect" id="node16" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1615,543,1812,568"/>
<area shape="rect" id="node18" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1602,493,1825,519"/>
<area shape="rect" id="node15" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="1954,444,2057,469"/>
<area shape="rect" id="node17" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="1940,543,2071,568"/>
<area shape="rect" id="node19" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="1950,493,2061,519"/>
<area shape="rect" id="node21" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1611,328,1816,367"/>
<area shape="rect" id="node23" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="1895,392,2115,417"/>
<area shape="rect" id="node25" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2192,172,2362,211"/>
<area shape="rect" id="node27" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1633,36,1794,75"/>
<area shape="rect" id="node31" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1633,99,1794,137"/>
<area shape="rect" id="node33" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1597,161,1830,200"/>
<area shape="rect" id="node28" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1923,36,2088,75"/>
<area shape="rect" id="node29" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2195,68,2359,107"/>
<area shape="rect" id="node30" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2207,5,2347,44"/>
<area shape="rect" id="node32" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="1878,151,2133,189"/>
<area shape="rect" id="node34" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="1940,328,2071,353"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aeb97e0257808d7cad4adceccd87f6b7d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::Coap::Server::SendMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;&#160;</td>
          <td class="paramname"><em>aMessage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;&#160;</td>
          <td class="paramname"><em>aMessageInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method sends a CoAP response from the server. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aMessage</td><td>The CoAP response to send. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aMessageInfo</td><td>The message info corresponding to <code>aMessage</code>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully enqueued the CoAP response message. </td></tr>
    <tr><td class="paramname">kThreadError_NoBufs</td><td>Insufficient buffers available to send the CoAP response. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d76/classThread_1_1Coap_1_1Server_aeb97e0257808d7cad4adceccd87f6b7d_cgraph.png" border="0" usemap="#de/d76/classThread_1_1Coap_1_1Server_aeb97e0257808d7cad4adceccd87f6b7d_cgraph" alt=""/></div>
<map name="de/d76/classThread_1_1Coap_1_1Server_aeb97e0257808d7cad4adceccd87f6b7d_cgraph" id="de/d76/classThread_1_1Coap_1_1Server_aeb97e0257808d7cad4adceccd87f6b7d_cgraph">
<area shape="rect" id="node2" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#ac4fb0ea0ae514fa0edfeaa91dfbdabca" title="This method sends a UDP message. " alt="" coords="203,319,365,357"/>
<area shape="rect" id="node3" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a97e94677a677f600a227dd970f4a02e8" title="This method returns a reference to the local socket address. " alt="" coords="424,5,597,44"/>
<area shape="rect" id="node4" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a51cfd76548da9f661a0d7a47a8d5e813" title="This method indicates whether or not the IPv6 address is the Unspecified Address. ..." alt="" coords="437,68,583,107"/>
<area shape="rect" id="node5" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#a4c3b5b3798c5a209d94f145dd9f08424" title="This method returns the local socket address. " alt="" coords="429,131,591,169"/>
<area shape="rect" id="node6" href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#a9f92ec4fbccf1d095aa8a43dd882dd2f" title="This method returns a reference to the IPv6 address. " alt="" coords="433,193,588,232"/>
<area shape="rect" id="node7" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#a3e48adfe7fb163bd8dd6e6f26cb5dda4" title="This method sets the UDP Source Port. " alt="" coords="428,256,593,295"/>
<area shape="rect" id="node8" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#aa6b4ee310b27450ea21696b8a1ab9e36" title="This method sets the UDP Destination Port. " alt="" coords="428,319,593,357"/>
<area shape="rect" id="node9" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#a232ac624d1b666065516cd2b7dc5f729" title="This method sets the UDP Length. " alt="" coords="428,381,593,420"/>
<area shape="rect" id="node10" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="413,444,608,469"/>
<area shape="rect" id="node11" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#ada31b17064f026a602cac8ce755cffcf" title="This method sets the UDP Checksum. " alt="" coords="428,493,593,532"/>
<area shape="rect" id="node12" href="../../dc/d3c/classThread_1_1Message.html#a9c900e4c1ddbb44f1d9c87d10172f63a" title="This method prepends bytes to the front of the message. " alt="" coords="419,556,602,581"/>
<area shape="rect" id="node13" href="../../dc/d3c/classThread_1_1Message.html#acaa6ed0d0c060a524cb5da25451acc0d" title="This method sets the byte offset within the message. " alt="" coords="416,605,604,631"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d76/classThread_1_1Coap_1_1Server_aeb97e0257808d7cad4adceccd87f6b7d_icgraph.png" border="0" usemap="#de/d76/classThread_1_1Coap_1_1Server_aeb97e0257808d7cad4adceccd87f6b7d_icgraph" alt=""/></div>
<map name="de/d76/classThread_1_1Coap_1_1Server_aeb97e0257808d7cad4adceccd87f6b7d_icgraph" id="de/d76/classThread_1_1Coap_1_1Server_aeb97e0257808d7cad4adceccd87f6b7d_icgraph">
<area shape="rect" id="node2" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a8639c79f9379e80285fa9f362dbacdd1" title="This method sends MGMT_COMMISSIONER_SET. " alt="" coords="203,5,451,44"/>
<area shape="rect" id="node4" href="../../d6/df9/classThread_1_1EnergyScanClient.html#a6d639305cb6c6762d41a2825ff8da85e" title="This method sends an Energy Scan Query message. " alt="" coords="238,68,416,107"/>
<area shape="rect" id="node5" href="../../d6/db2/classThread_1_1MeshCoP_1_1Leader.html#a96a0df60953172cb430044db9ae7f0d7" title="This constructor initializes the Leader object. " alt="" coords="238,131,416,169"/>
<area shape="rect" id="node6" href="../../dc/da5/classThread_1_1PanIdQueryClient.html#a440066c1be45fe125c8298276c232939" title="This method sends a PAN ID Query message. " alt="" coords="239,193,415,232"/>
<area shape="rect" id="node7" href="../../d4/dcf/classThread_1_1AddressResolver.html#ac249179518a77ecfdaf7d4502ef2f940" title="This method returns the RLOC16 for a given EID, or initiates an Address Query if the mapping is not k..." alt="" coords="1577,197,1749,236"/>
<area shape="rect" id="node16" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1299,817,1504,856"/>
<area shape="rect" id="node17" href="../../de/d9d/classThread_1_1EnergyScanServer.html#aee01420f701ef44d6432280d8e4bf3e3" title="This constructor initializes the object. " alt="" coords="519,524,701,563"/>
<area shape="rect" id="node18" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1858,255,2019,293"/>
<area shape="rect" id="node19" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#ab1860ae9877c2b0f6a83d677d41e31d6" title="This method returns a pointer to the Commissioning Data. " alt="" coords="218,409,436,448"/>
<area shape="rect" id="node32" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="2103,821,2358,860"/>
<area shape="rect" id="node44" href="../../d7/dc5/classThread_1_1PanIdQueryServer.html#a9a7504e52a1a9f4023dcf2ceedd3cbf6" title="This constructor initializes the object. " alt="" coords="236,948,418,987"/>
<area shape="rect" id="node3" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a142100561cda243c291e4bc7a4d6511a" title="This method stops the Commissioner service. " alt="" coords="499,5,721,44"/>
<area shape="rect" id="node8" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="2149,204,2313,243"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2420,197,2585,236"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2418,323,2587,361"/>
<area shape="rect" id="node15" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2432,260,2573,299"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2653,305,2834,331"/>
<area shape="rect" id="node12" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2889,273,3062,312"/>
<area shape="rect" id="node13" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2933,336,3018,361"/>
<area shape="rect" id="node14" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="3110,431,3266,469"/>
<area shape="rect" id="node20" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a5479381c182fcb3e0135c2c75fc2c96e" title="This constructor initializes the Joiner Router object. " alt="" coords="769,308,983,347"/>
<area shape="rect" id="node21" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a484af9ea3f5c73ec07d3e47c21a647c5" title="This method returns the Joiner UDP Port. " alt="" coords="503,409,717,448"/>
<area shape="rect" id="node23" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="769,573,983,599"/>
<area shape="rect" id="node22" href="../../da/d96/group__config-router.html#ga13a7243b3d4c16cfc50bfbf29c42dd10" title="Get the Joiner UDP Port. " alt="" coords="2674,128,2813,153"/>
<area shape="rect" id="node24" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="1314,636,1489,675"/>
<area shape="rect" id="node25" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1569,567,1757,605"/>
<area shape="rect" id="node26" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1831,583,2047,621"/>
<area shape="rect" id="node30" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1582,744,1744,783"/>
<area shape="rect" id="node35" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1046,495,1236,533"/>
<area shape="rect" id="node42" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1031,796,1251,821"/>
<area shape="rect" id="node43" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1060,363,1222,401"/>
<area shape="rect" id="node27" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2121,589,2341,615"/>
<area shape="rect" id="node28" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2406,488,2598,527"/>
<area shape="rect" id="node29" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2646,488,2841,527"/>
<area shape="rect" id="node31" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1858,779,2019,817"/>
<area shape="rect" id="node33" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1822,700,2055,739"/>
<area shape="rect" id="node34" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2165,653,2296,679"/>
<area shape="rect" id="node36" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1323,359,1480,384"/>
<area shape="rect" id="node38" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1303,460,1500,485"/>
<area shape="rect" id="node40" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1552,433,1774,459"/>
<area shape="rect" id="node37" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2179,387,2282,412"/>
<area shape="rect" id="node39" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2165,495,2296,520"/>
<area shape="rect" id="node41" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2176,437,2286,463"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a3352908cff3adc599389f65cc16d219e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::Coap::Server::Start </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method starts the CoAP server. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully started the CoAP server. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d76/classThread_1_1Coap_1_1Server_a3352908cff3adc599389f65cc16d219e_cgraph.png" border="0" usemap="#de/d76/classThread_1_1Coap_1_1Server_a3352908cff3adc599389f65cc16d219e_cgraph" alt=""/></div>
<map name="de/d76/classThread_1_1Coap_1_1Server_a3352908cff3adc599389f65cc16d219e_cgraph" id="de/d76/classThread_1_1Coap_1_1Server_a3352908cff3adc599389f65cc16d219e_cgraph">
<area shape="rect" id="node2" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#aaa9112c22813ceb55338050f0365c598" title="This method opens the UDP socket. " alt="" coords="203,5,365,44"/>
<area shape="rect" id="node3" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#aa07479b557c551452986ff7a0ce20773" title="This method binds the UDP socket. " alt="" coords="203,68,365,107"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d76/classThread_1_1Coap_1_1Server_a3352908cff3adc599389f65cc16d219e_icgraph.png" border="0" usemap="#de/d76/classThread_1_1Coap_1_1Server_a3352908cff3adc599389f65cc16d219e_icgraph" alt=""/></div>
<map name="de/d76/classThread_1_1Coap_1_1Server_a3352908cff3adc599389f65cc16d219e_icgraph" id="de/d76/classThread_1_1Coap_1_1Server_a3352908cff3adc599389f65cc16d219e_icgraph">
<area shape="rect" id="node2" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a50d195eeba8c64bdb46767f1113a7a65" title="This method enables the Thread network interface. " alt="" coords="203,44,368,69"/>
<area shape="rect" id="node3" href="../../d0/d0a/group__commands.html#ga16b0f2f53ff41fe70044d39226f2c2da" title="This function brings up the IPv6 interface. " alt="" coords="416,44,517,69"/>
<area shape="rect" id="node4" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="584,5,739,44"/>
<area shape="rect" id="node5" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="565,68,757,107"/>
<area shape="rect" id="node6" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="805,68,1000,107"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ae3cd8474a329165783b06b5d6f235266"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::Coap::Server::Stop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method stops the CoAP server. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully stopped the CoAP server. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d76/classThread_1_1Coap_1_1Server_ae3cd8474a329165783b06b5d6f235266_cgraph.png" border="0" usemap="#de/d76/classThread_1_1Coap_1_1Server_ae3cd8474a329165783b06b5d6f235266_cgraph" alt=""/></div>
<map name="de/d76/classThread_1_1Coap_1_1Server_ae3cd8474a329165783b06b5d6f235266_cgraph" id="de/d76/classThread_1_1Coap_1_1Server_ae3cd8474a329165783b06b5d6f235266_cgraph">
<area shape="rect" id="node2" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#a2c050c372e20976105003cb8d4d6fc90" title="This method closes the UDP socket. " alt="" coords="203,5,365,44"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d76/classThread_1_1Coap_1_1Server_ae3cd8474a329165783b06b5d6f235266_icgraph.png" border="0" usemap="#de/d76/classThread_1_1Coap_1_1Server_ae3cd8474a329165783b06b5d6f235266_icgraph" alt=""/></div>
<map name="de/d76/classThread_1_1Coap_1_1Server_ae3cd8474a329165783b06b5d6f235266_icgraph" id="de/d76/classThread_1_1Coap_1_1Server_ae3cd8474a329165783b06b5d6f235266_icgraph">
<area shape="rect" id="node2" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a1a24f802ede854243223bcae3b7cb5ad" title="This method disables the Thread network interface. " alt="" coords="203,61,344,100"/>
<area shape="rect" id="node3" href="../../d0/d0a/group__commands.html#ga0e2dfd90f079bb52c8bfb406ade88d8a" title="This function brings down the IPv6 interface. " alt="" coords="392,68,510,93"/>
<area shape="rect" id="node4" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="576,5,732,44"/>
<area shape="rect" id="node5" href="../../d0/d0a/group__commands.html#gaab0dc090f71b80671ff3dad620314b43" title="This function disables the OpenThread library. " alt="" coords="589,68,718,93"/>
<area shape="rect" id="node6" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="558,117,750,156"/>
<area shape="rect" id="node7" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="798,117,992,156"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/core/coap/<a class="el" href="../../dd/d28/coap__server_8hpp_source.html">coap_server.hpp</a></li>
<li>src/core/coap/<a class="el" href="../../dd/db8/coap__server_8cpp.html">coap_server.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d6/ddc/namespaceThread_1_1Coap.html">Coap</a></li><li class="navelem"><a class="el" href="../../de/d76/classThread_1_1Coap_1_1Server.html">Server</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
